package com.wms_main.constant.enums.wms;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 应用配置key枚举
 */
@Getter
@AllArgsConstructor
public enum AppConfigKeyEnums {
    WCS_STACKER_TASK_URL("WcsStackerTaskUrl", "发送堆垛机任务地址"),
    WCS_PICK_TASK_URL("WcsPickTaskUrl", "发送拣选任务地址"),
    WCS_CANCEL_PICK_TASK_URL("WcsCancelPickTaskUrl", "发送取消拣选任务地址"),
    WCS_RELEASE_BOX_URL("WcsReleaseBoxUrl", "发送释放站台箱子地址"),
    STAND_CAPACITY("StandCapacity", "站台容量"),
    IMAGE_IP("ImageIp", "图片存放ip"),
    EMPTY_BACK("EmptyBack", "空载具是否回库"),
    STOCK_WARNING_QTY("StockWarningQty", "库存预警数量"),
    MES_GET_GOODS_URL("MesGetGoodsUrl", "获取物料信息地址"),
    ERP_GET_VEHICLENO_DATA("ErpGetVehicleNoData", "根据托盘号查询简单生产入库单"),
    WMS_ORDER_IN_CALLBACK("WmsOrderInCallback", "WMS接受的入库执行后回调地址"),
    WMS_ORDER_OUT_CALLBACK("WmsOrderOutCallback", "WMS接受的出库执行后回调地址"),
    WCS_QUERY_STAND_STATUS_URL("wcsQueryStandStatus", "查询AGV是否可取货"),
    WCS_AGV_DONE("wcsAGVDone", "AGV取货完成通知");

    private final String key;
    private final String desc;
}
